> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-check one publisher's live adagents.json



## OpenAPI

````yaml /openapi/storefront.yaml post /api/v2/storefront/property-roster/publishers/{domain}/refresh
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Publisher Domains
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/property-roster/publishers/{domain}/refresh:
    post:
      tags:
        - Publisher Domains
      summary: Re-check one publisher's live adagents.json
      operationId: postStorefrontPropertyRosterPublishersByDomainRefresh
      parameters:
        - name: domain
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          publisher:
                            type: object
                            properties:
                              domain:
                                type: string
                              provenance:
                                type: string
                                enum:
                                  - declared
                                  - crawled
                                  - discovered
                              adagentsStatus:
                                type: string
                                enum:
                                  - pending
                                  - resolved
                                  - no_adagents
                                  - invalid
                                  - error
                              authorizationStatus:
                                anyOf:
                                  - type: string
                                    enum:
                                      - authorized
                                      - unauthorized
                                      - unknown
                                  - type: 'null'
                              authorizationReason:
                                anyOf:
                                  - type: string
                                    enum:
                                      - no_file
                                      - file_invalid
                                      - agent_not_listed
                                      - agent_untyped
                                      - agent_not_property_bound
                                      - authorized
                                  - type: 'null'
                              discoveryMethod:
                                anyOf:
                                  - type: string
                                    enum:
                                      - direct
                                      - authoritative_location
                                      - ads_txt_managerdomain
                                  - type: 'null'
                              managerDomain:
                                type:
                                  - string
                                  - 'null'
                              resolvedUrl:
                                type:
                                  - string
                                  - 'null'
                              lastError:
                                type:
                                  - string
                                  - 'null'
                              lastSyncedAt:
                                type:
                                  - string
                                  - 'null'
                              formatCatalogSyncedAt:
                                type:
                                  - string
                                  - 'null'
                              identityCatalogStatus:
                                anyOf:
                                  - type: string
                                    enum:
                                      - pending
                                      - complete
                                      - incomplete
                                      - not_applicable
                                      - failed
                                  - type: 'null'
                              formatCatalogStatus:
                                anyOf:
                                  - type: string
                                    enum:
                                      - pending
                                      - complete
                                      - not_applicable
                                      - failed
                                  - type: 'null'
                              properties:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    propertyKey:
                                      type: string
                                    propertyId:
                                      type:
                                        - string
                                        - 'null'
                                    propertyType:
                                      type:
                                        - string
                                        - 'null'
                                    name:
                                      type:
                                        - string
                                        - 'null'
                                    identifiers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          type:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - type
                                          - value
                                        additionalProperties: false
                                    tags:
                                      type: array
                                      items:
                                        type: string
                                    provenance:
                                      type: string
                                      enum:
                                        - publisher_adagents
                                        - aao_registry
                                        - seller_declared
                                    authorization:
                                      type: object
                                      properties:
                                        status:
                                          type: string
                                          enum:
                                            - authorized
                                            - unauthorized
                                            - unknown
                                        grain:
                                          type: string
                                          const: domain
                                        reason:
                                          anyOf:
                                            - type: string
                                              enum:
                                                - no_file
                                                - file_invalid
                                                - agent_not_listed
                                                - agent_untyped
                                                - agent_not_property_bound
                                                - authorized
                                            - type: 'null'
                                      required:
                                        - status
                                        - grain
                                        - reason
                                      additionalProperties: false
                                    declaredBySellerAt:
                                      type:
                                        - string
                                        - 'null'
                                    firstSeenAt:
                                      type: string
                                    lastSeenAt:
                                      type: string
                                  required:
                                    - propertyKey
                                    - propertyId
                                    - propertyType
                                    - name
                                    - identifiers
                                    - tags
                                    - provenance
                                    - authorization
                                    - declaredBySellerAt
                                    - firstSeenAt
                                    - lastSeenAt
                                  additionalProperties: false
                              collections:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    collectionId:
                                      type: string
                                    name:
                                      type:
                                        - string
                                        - 'null'
                                    tags:
                                      type: array
                                      items:
                                        type: string
                                    provenance:
                                      type: string
                                      enum:
                                        - publisher_adagents
                                        - aao_registry
                                        - seller_declared
                                  required:
                                    - collectionId
                                    - name
                                    - tags
                                    - provenance
                                  additionalProperties: false
                              formats:
                                type: array
                                items:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              propertyCount:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              collectionCount:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              formatCount:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                            required:
                              - domain
                              - provenance
                              - adagentsStatus
                              - authorizationStatus
                              - authorizationReason
                              - discoveryMethod
                              - managerDomain
                              - resolvedUrl
                              - lastError
                              - lastSyncedAt
                              - formatCatalogSyncedAt
                              - identityCatalogStatus
                              - formatCatalogStatus
                              - properties
                              - collections
                              - formats
                              - propertyCount
                              - collectionCount
                              - formatCount
                            additionalProperties: false
                          roster:
                            type: object
                            properties:
                              publishers:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    domain:
                                      type: string
                                    provenance:
                                      type: string
                                      enum:
                                        - declared
                                        - crawled
                                        - discovered
                                    adagentsStatus:
                                      type: string
                                      enum:
                                        - pending
                                        - resolved
                                        - no_adagents
                                        - invalid
                                        - error
                                    authorizationStatus:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - authorized
                                            - unauthorized
                                            - unknown
                                        - type: 'null'
                                    authorizationReason:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - no_file
                                            - file_invalid
                                            - agent_not_listed
                                            - agent_untyped
                                            - agent_not_property_bound
                                            - authorized
                                        - type: 'null'
                                    discoveryMethod:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - direct
                                            - authoritative_location
                                            - ads_txt_managerdomain
                                        - type: 'null'
                                    managerDomain:
                                      type:
                                        - string
                                        - 'null'
                                    resolvedUrl:
                                      type:
                                        - string
                                        - 'null'
                                    lastError:
                                      type:
                                        - string
                                        - 'null'
                                    lastSyncedAt:
                                      type:
                                        - string
                                        - 'null'
                                    formatCatalogSyncedAt:
                                      type:
                                        - string
                                        - 'null'
                                    identityCatalogStatus:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - pending
                                            - complete
                                            - incomplete
                                            - not_applicable
                                            - failed
                                        - type: 'null'
                                    formatCatalogStatus:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - pending
                                            - complete
                                            - not_applicable
                                            - failed
                                        - type: 'null'
                                    properties:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          propertyKey:
                                            type: string
                                          propertyId:
                                            type:
                                              - string
                                              - 'null'
                                          propertyType:
                                            type:
                                              - string
                                              - 'null'
                                          name:
                                            type:
                                              - string
                                              - 'null'
                                          identifiers:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                type:
                                                  type: string
                                                value:
                                                  type: string
                                              required:
                                                - type
                                                - value
                                              additionalProperties: false
                                          tags:
                                            type: array
                                            items:
                                              type: string
                                          provenance:
                                            type: string
                                            enum:
                                              - publisher_adagents
                                              - aao_registry
                                              - seller_declared
                                          authorization:
                                            type: object
                                            properties:
                                              status:
                                                type: string
                                                enum:
                                                  - authorized
                                                  - unauthorized
                                                  - unknown
                                              grain:
                                                type: string
                                                const: domain
                                              reason:
                                                anyOf:
                                                  - type: string
                                                    enum:
                                                      - no_file
                                                      - file_invalid
                                                      - agent_not_listed
                                                      - agent_untyped
                                                      - agent_not_property_bound
                                                      - authorized
                                                  - type: 'null'
                                            required:
                                              - status
                                              - grain
                                              - reason
                                            additionalProperties: false
                                          declaredBySellerAt:
                                            type:
                                              - string
                                              - 'null'
                                          firstSeenAt:
                                            type: string
                                          lastSeenAt:
                                            type: string
                                        required:
                                          - propertyKey
                                          - propertyId
                                          - propertyType
                                          - name
                                          - identifiers
                                          - tags
                                          - provenance
                                          - authorization
                                          - declaredBySellerAt
                                          - firstSeenAt
                                          - lastSeenAt
                                        additionalProperties: false
                                    collections:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          collectionId:
                                            type: string
                                          name:
                                            type:
                                              - string
                                              - 'null'
                                          tags:
                                            type: array
                                            items:
                                              type: string
                                          provenance:
                                            type: string
                                            enum:
                                              - publisher_adagents
                                              - aao_registry
                                              - seller_declared
                                        required:
                                          - collectionId
                                          - name
                                          - tags
                                          - provenance
                                        additionalProperties: false
                                    formats:
                                      type: array
                                      items:
                                        type: object
                                        propertyNames:
                                          type: string
                                        additionalProperties: {}
                                    propertyCount:
                                      type: integer
                                      minimum: 0
                                      maximum: 9007199254740991
                                    collectionCount:
                                      type: integer
                                      minimum: 0
                                      maximum: 9007199254740991
                                    formatCount:
                                      type: integer
                                      minimum: 0
                                      maximum: 9007199254740991
                                  required:
                                    - domain
                                    - provenance
                                    - adagentsStatus
                                    - authorizationStatus
                                    - authorizationReason
                                    - discoveryMethod
                                    - managerDomain
                                    - resolvedUrl
                                    - lastError
                                    - lastSyncedAt
                                    - formatCatalogSyncedAt
                                    - identityCatalogStatus
                                    - formatCatalogStatus
                                    - properties
                                    - collections
                                    - formats
                                    - propertyCount
                                    - collectionCount
                                    - formatCount
                                  additionalProperties: false
                              totals:
                                type: object
                                properties:
                                  publishers:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  authorizedPublishers:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  properties:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  collections:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                  formats:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                required:
                                  - publishers
                                  - authorizedPublishers
                                  - properties
                                  - collections
                                  - formats
                                additionalProperties: false
                              truncated:
                                type: object
                                properties:
                                  publishers:
                                    type: boolean
                                  properties:
                                    type: boolean
                                  collections:
                                    type: boolean
                                  formats:
                                    type: boolean
                                required:
                                  - publishers
                                  - properties
                                  - collections
                                  - formats
                                additionalProperties: false
                              coverageApplies:
                                type: boolean
                              authorizedAgentUrls:
                                type: array
                                items:
                                  type: string
                            required:
                              - publishers
                              - totals
                              - truncated
                              - coverageApplies
                              - authorizedAgentUrls
                            additionalProperties: false
                        required:
                          - publisher
                          - roster
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````